// emacs: this is -*- c++ -*-
//
//   @file    nnlo_utils.h         
//   
//
//   @author M.Sutton
// 
//   Copyright (C) 2013 M.Sutton (sutt@cern.ch)    
//
//   $Id: nnlo_utils.h, v0.0   Tue 13 Aug 2013 12:20:03 CEST sutt $

#ifndef  NNLOJET_UTILS_H
#define  NNLOJET_UTILS_H

#include <string>

#include "TH1D.h"

namespace nnlo {  

std::string banner();

/// simple test if a file exists
bool file_exists(const std::string& s);
  
void Normalise(TH1D* h);

/// Some kinematical definitions
double rapidity(double E,double pz);  
double pt( double px, double py);
double mass(double E, double px, double py, double pz);

std::string date();

int getorder( int iproc );

}


template<typename T>
std::ostream& operator<<( std::ostream& s, const std::vector<T>& v ) {
  for ( size_t i=0 ; i<v.size() ; i++ ) s << "\t" << v[i];  
  return s;
} 

#endif ///  NNLOJET_UTILS_H

